play.exceptions

## Class PlayException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ActionNotFoundException, CompilationException, ConfigurationException, ContinuationsException, InconsistentDatabase, InvalidDatabaseRevision, Invoker.Suspend, JPAException, NoRouteFoundException, PlayExceptionWithJavaSource, TemplateException, TemplateNotFoundException, UnexpectedException, YAMLException

      public abstract class PlayException
      extends java.lang.RuntimeException

  The super class for all Play! exceptions
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayException()`
    `PlayException(java.lang.String message)`
    `PlayException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getErrorDescription()`
    `abstract java.lang.String` | `getErrorTitle()`
    `java.lang.String` | `getId()`
    `static java.lang.StackTraceElement` | `getInterestingStackTraceElement(java.lang.Throwable cause)`
    `static java.lang.StackTraceElement` | `getInterestingStrackTraceElement(java.lang.Throwable cause)` Deprecated.
    `java.lang.Integer` | `getLineNumber()`
    `java.lang.String` | `getMoreHTML()`
    `java.lang.String` | `getSourceFile()`
    `boolean` | `isSourceAvailable()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayException

          public PlayException()

    - #### PlayException

          public PlayException(java.lang.String message)

    - #### PlayException

          public PlayException(java.lang.String message,
                               java.lang.Throwable cause)

  - ### Method Detail

    - #### getErrorTitle

          public abstract java.lang.String getErrorTitle()

    - #### getErrorDescription

          public abstract java.lang.String getErrorDescription()

    - #### isSourceAvailable

          public boolean isSourceAvailable()

    - #### getLineNumber

          public java.lang.Integer getLineNumber()

    - #### getSourceFile

          public java.lang.String getSourceFile()

    - #### getId

          public java.lang.String getId()

    - #### getInterestingStrackTraceElement

          @Deprecated
          public static java.lang.StackTraceElement getInterestingStrackTraceElement(java.lang.Throwable cause)

      Deprecated.

    - #### getInterestingStackTraceElement

          public static java.lang.StackTraceElement getInterestingStackTraceElement(java.lang.Throwable cause)

    - #### getMoreHTML

          public java.lang.String getMoreHTML()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly